Cannot Upgrade Plesk with Error about Upgrade APSC SQL Database from 11.1.0.

Refers to:

  • Plesk for Linux

Created:

2016-11-16 12:46:50 UTC

Modified:

2016-12-21 19:11:44 UTC

0

Was this article helpful?


Have more questions?

Submit a request

Cannot Upgrade Plesk with Error about Upgrade APSC SQL Database from 11.1.0.

Symptoms

It is not possible to upgrade Plesk to version 12.x. The upgrade process fails with the following error:

ERROR while trying to upgrade APSC SQL database from 11.1.0
Check the error reason(see log file: /var/log/plesk/install/plesk_12.0.18_installation.log), fix and try again

In autoinstaller log /tmp/autoinstaller3.log , the following error is shown:

ERROR 1146 (42S02) at line 89: Table 'apsc.aps_application_resource' doesn't exist

The database version and Plesk version are different

# cat /usr/local/psa/version
11.0.9 CentOS 5 110120608.16

# cat /usr/local/psa/core.version
11.0.9 CentOS 5 110120608.16

mysql> select * from misc where param = "version";
+---------+-----------+
| param | val |
+---------+-----------+
| version | 012005030 |
+---------+-----------+
1 row in set (0.00 sec)

Cause

The apsc.aps_application_resource table is absent from the apsc database.

This is an internal software issue with id #PPPM-4823 which is going to be fixed in one of the next product updates.

Resolution

The resolution is quite complex and requires manual database updates. Please submit ticket to Plesk support team to get it fixed.

Have more questions? Submit a request
Please sign in to leave a comment.